# -*- coding: utf-8 -*-
"""
Define la clase Perro con un atributo estático y uno de instancia

@author: Michael
@date:   Ene 2019
"""


class Perro:
    """
    Representa un perro

    Atributos:
        __nombre_cientifico: atributo estático con el nombre científico
        __nombre: el nombre del perro
    """

    __nombre_cientifico: str = "canis lupus familiaris"

    def __init__(self, nombre: str):
        """
        Constructor del perro

        Args:
            nombre: el nombre del perro
        """
        self.__nombre = nombre

    def nombre(self) -> str:
        """
        Retorna un string que contiene el nombre del perro
        """
        return self.__nombre

    def descripcion(self) -> str:
        """
        Retorna un string que contiene la descripción del perro
        """
        return "Perro ("+self.__nombre_cientifico + \
            ") de nombre "+self.__nombre


def ejemplos():
    """
    Ejemplos de creación de objetos
    """

    mi_perro = Perro("Brena")
    perro_de_maria = Perro(nombre="Pombo")

    print(mi_perro.descripcion())
    print(perro_de_maria.nombre())
